% ex01x05.m
% function creates and plots a random walk
clear all

A = zeros(20,20);         	% declare grid of dimension 20x20 
                            % (initialized with zeroes)

x = 10; y = 10;         	  % define start cell
A(x,y) = 1;                  % mark start cell with '1'

seed = input('Enter a seed (integer): '); 
                            % to produce a different sequence, 
rand('state',seed);	        % invoke rand with different 'seeds'


for i=1:9
  r = rand;                 % pick randomly a direction
  if r < 0.25
    x = x+1;                % east
  elseif r < 0.5
    y = y+1;                % north 
  elseif r < 0.75
    x = x-1;                % west
  else
    y = y-1;                % south
  end
  A(x,y)= 1;		            % mark new block

end
spy(A);
